%define upstream_name    Catalyst-Log-Log4perl
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Integrates Log::Log4perl with Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.600.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Log::Log4perl) >= 1.40.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides a the Catalyst::Log manpage implementation that uses
the Log::Log4perl manpage as the underlying log mechanism. It provides all
the methods listed in the Catalyst::Log manpage, with the exception of:

    levels
    enable
    disable

These methods simply return 0 and do nothing, as similar functionality is
already provided by the Log::Log4perl manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.60.0-11.mga9
+ Revision: 1831427
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-10.mga8
+ Revision: 1503514
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.60.0-9.mga7
+ Revision: 1282110
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.60.0-8.mga7
+ Revision: 1167880
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 1.60.0-7.mga6
+ Revision: 1023216
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.60.0-6.mga6
+ Revision: 931945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 740786
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 509737
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 363915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.60.0-1.mga3
+ Revision: 267271
- update to 1.06

* Fri Oct 14 2011 jquelin <jquelin> 1.50.0-1.mga2
+ Revision: 154743
- update to 1.05

* Wed Jan 26 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 40253
- mageia rebuild
- imported package perl-Catalyst-Log-Log4perl


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.40.0-1mdv2011.0
+ Revision: 627143
- import perl-Catalyst-Log-Log4perl

